$(document).ready(init);

//En fonction du support, évènement click ou touchend
var _clickTouch;
var _mobile = false;

var _initValVitesse = 380;
var _maxValVitesse = 760;

var _initValDetection = 588.994834;
var _maxValDetection = 588.995168;
var _interValAnim, _timeOutAnim;
function init() {	
	// Si on est sur mobile ou non	
	if(navigator.userAgent.match("Mobile") || navigator.userAgent.match("Android"))
		_mobile = true;
		
	// Evenement click si on se trouve sur PC et touchend sur mobile
	_clickTouch = ((_mobile == true) ? "touchend" : "click");
	
	$("img").mousedown(function(){
	    return false;
	});
	
	if(_mobile == false){
		$('.elemTab').bind('mouseover', function(){
			$(this).css('background-color', '#7bbcde');
		});
		$('.elemTab').bind('mouseout', function(){
			$(this).css('background-color', '#ffffff');
		});
	}
	
	$('#vitesseEtoile').hide();
	$('#appVitesseEtoile').hide();
	$('#detectionPlanetes').hide();
	$('#appDetectionPlanetes').hide();
	$('#btnRetour').hide();
	
	
	
	/* Navigation */
	
	$('#btnVitesse').bind(_clickTouch, function(){
		$('#accueil').hide();
		$('#vitesseEtoile').show();
		$('#btnRetour').show();
	});
	
	$('#btnDetection').bind(_clickTouch, function(){
		$('#accueil').hide();
		$('#detectionPlanetes').show();
		$('#btnRetour').show();
		$('#legendeAnim').hide();
		lauchAnim();
	});
	
	$('#btnVitesseApplication').bind(_clickTouch, function(){
		$('#vitesseEtoile').hide();
		$('#appVitesseEtoile').show();
		$('#appVitesseEtoile .txtLambda').text(_initValVitesse);
		$('#appVitesseEtoile .spectreCurseur').css('left', '-5px');
	});
	$('#btnDetectionApplication').bind(_clickTouch, function(){
		$('#detectionPlanetes').hide();
		$('#appDetectionPlanetes').show();
		$('#spectreOrangeDynamique').hide();
		$('#txtLambdaEtoile').hide();
		$('#txtLambdaSoleil').text(_initValDetection.toString().replace('.', ','));
		$('#txtLambdaEtoile').text(_initValDetection.toString().replace('.', ','));
		$('#appDetectionPlanetes .spectreCurseur').css('left', '-5px');
		$('.elemTab').removeClass('selected');
		clearInterval(_interValAnim);
		clearTimeout(_timeOutAnim);
		
	});
	
	$('#btnRetour').bind(_clickTouch, function(){
		clearInterval(_interValAnim);
		clearTimeout(_timeOutAnim);
		$('#animPlanetes').css('transform', 'rotate(0deg)');
		$('#animPlanetes').css('-webkit-transform', 'rotate(0deg)');
		$('#animPlanetes').css('-moz-transform', 'rotate(0deg)');
		$('#animPlanetes').css('-ms-transform', 'rotate(0deg)');
		$('#planete').css('top', '65px');
		$('#planete').css('left', '-5px');
		if($('#vitesseEtoile').is(':visible')){
			$('#vitesseEtoile').hide();
			$('#accueil').show();
			$('#btnRetour').hide();	
		}
		else if($('#detectionPlanetes').is(':visible')){
			$('#detectionPlanetes').hide();
			$('#accueil').show();
			$('#btnRetour').hide();
		}
		else if($('#appVitesseEtoile').is(':visible')){
			$('#appVitesseEtoile').hide();
			$('#vitesseEtoile').show();
		}
		else if($('#appDetectionPlanetes').is(':visible')){
			$('#appDetectionPlanetes').hide();
			$('#detectionPlanetes').show();
			lauchAnim();
		}
		
		
	});
	
	/* Curseurs */
	$('#appVitesseEtoile .spectreCurseur').draggable({
		axis: 'x',
		containment : [110, 0, 630, 0],
		drag:function(){
			
			var id = $(this).parent().attr('id').substring($(this).parent().attr('id').length-1 , $(this).parent().attr('id').length);
			var lambda = _initValVitesse + (_maxValVitesse - _initValVitesse) * ($(this).position().left+6)/(630-110);
			$('#txtLambda'+id).text(parseInt(lambda));	
		}
	})
	$('#appDetectionPlanetes .spectreCurseur').draggable({
		axis: 'x',
		containment : [235, 0, 765, 0],
		drag:function(){			
			var lambda = _initValDetection + (_maxValDetection - _initValDetection) * ($(this).position().left+6)/(765-235);
			var lambdaStr = lambda.toString().substring(0, lambda.toString().indexOf('.')+7);
			lambdaStr = lambdaStr.replace('.', ',');
			if($(this).parent().attr('id').indexOf('Static') != -1)
				$('#txtLambdaSoleil').text(lambdaStr);
			else
				$('#txtLambdaEtoile').text(lambdaStr);	
		}
	})
	
	/* Tableau */
	$('.elemTab').bind(_clickTouch, function(){
		$('.elemTab').removeClass('selected');
		$('.elemTab').removeClass('selected');
		$(this).addClass('selected');
		var id = $(this).attr('id').substring(7, $(this).attr('id').length);
		//alert(id);
		$('#spectreOrangeDynamique').show();
		$('#txtLambdaEtoile').show();
		$('#spectreOrangeDynamique .spectreBarre').hide()
		$('#barreDynamique'+id).show();
		$('#spectreOrangeDynamique .spectreCurseur').css('left', '-5px');
	})	
}
function lauchAnim(){
	var myTimer=3000;
	
	var myDegre = 0;
	var myLeft = -5;
	var myTop = 65;
	$('#legendeAnim').fadeIn(100, 'linear', function(){
		_timeOutAnim = setTimeout(function(){
				$('#legendeAnim').fadeOut(100, 'linear', function(){
					_interValAnim = setInterval(function(){
						myDegre ++;
						if(myDegre > 360)
							myDegre = 0;
						myLeft += Number(parseInt($('#signal').width())/360);
						if(myLeft > -5+parseInt($('#signal').width()))
							myLeft = -5;
						myTop = -Math.sin(myDegre*Math.PI/180)*70+65;
						$('#animPlanetes').css('transform', 'rotate('+myDegre+'deg)');
						$('#animPlanetes').css('-webkit-transform', 'rotate('+myDegre+'deg)');
						$('#animPlanetes').css('-moz-transform', 'rotate('+myDegre+'deg)');
						$('#animPlanetes').css('-ms-transform', 'rotate('+myDegre+'deg)');
						$('#planete').css('top', myTop+'px');
						$('#planete').css('left', myLeft+'px');
					}, 15)					
				});
		}, myTimer);
	});	
}
